package com.bonus.zlpt.company.service;


import com.bonus.zlpt.company.api.domain.SysDic;

import java.util.List;

/**
 * 企业类型管理
 */
public interface BmCompanyTypeService {

    /**
     * 根据条件查询企业类型数据
     * @return
     */
    List<SysDic> selectCompanyTypeList(SysDic sysDic);

    /**
     * 新增企业类型
     * @param sysDic
     * @return
     */
    Integer addCompanyType(SysDic sysDic);

    /**
     * 修改企业类型
     * @param sysDic
     * @return
     */
    Integer updateCompanyType(SysDic sysDic);

    /**
     * 根据id查询企业类型
     * @param id
     * @return
     */
    SysDic getById(Integer id);

    /**
     * 根据id删除企业类型
     * @param id
     * @return
     */
    Integer deleteCompanyType(Integer id);
}
